## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           cpuid
Version:        20221003
Release:        %autorelease
Summary:        Dumps information about the CPU(s)

License:        GPLv2+
URL:            http://www.etallen.com/cpuid.html
Source0:        http://www.etallen.com/%{name}/%{name}-%{version}.src.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-podlators

ExclusiveArch:  %{ix86} x86_64

%description
cpuid dumps detailed information about x86 CPU(s) gathered from the CPUID
instruction, and also determines the exact model of CPU(s). It supports Intel,
AMD, and VIA CPUs, as well as older Transmeta, Cyrix, UMC, NexGen, and Rise
CPUs. 

%prep
%setup -q

%build
make %{?_smp_mflags} CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64 -DVERSION=%{version}" LDFLAGS="$RPM_LD_FLAGS"

%install
install -Dp -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -Dp -m 0755 cpuinfo2cpuid %{buildroot}%{_bindir}/cpuinfo2cpuid
install -Dp -m 0644 %{name}.man.gz %{buildroot}%{_mandir}/man1/%{name}.1.gz

%files
%doc ChangeLog FUTURE
%license LICENSE
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_bindir}/cpuinfo2cpuid

%changelog
* Mon Oct 10 2022 Fabian Affolter <mail@fabian-affolter.ch> 20221003-1
- Update to latest upstream release 20221003 (closes rhbz#2131725)

* Wed Sep 28 2022 Fabian Affolter <mail@fabian-affolter.ch> 20220927-1
- Update to latest upstream release 20220927 (closes rhbz#2130186)

* Fri Aug 12 2022 Fabian Affolter <mail@fabian-affolter.ch> 20220812-1
- Update to latest upstream release 20220812 (closes rhbz#2117910)

* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 20220620-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 08 2022 Fabian Affolter <mail@fabian-affolter.ch> 20220620-1
- Update to latest upstream release 20220620 (closes rhbz#2099276)

* Thu Feb 24 2022 Fabian Affolter <mail@fabian-affolter.ch> 20220224-1
- UPdate to latest upstream release 20220224 (closes rhbz#2058206)

* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> 20211210-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Dec 12 2021 Fabian Affolter <mail@fabian-affolter.ch> 20211210-1
- Update to latest upstream release 20211210 (closes #2031131)

* Thu Dec 02 2021 Fabian Affolter <mail@fabian-affolter.ch> 20211129-1
- Update to latest upstream release 20211129 (closes rhbz#2025384)

* Mon Nov 15 2021 Fabian Affolter <mail@fabian-affolter.ch> 20211114-1
- Update to latest upstream release 20211114 (closes rhbz#2023148)

* Fri Nov 05 2021 Fabian Affolter <mail@fabian-affolter.ch> 20211031-1
- Update to latest upstream release 20211031 (closes rhbz#2018845)

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> 20201006-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> 20201006-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Dec 17 2020 Tom Stellard <tstellar@redhat.com> 20201006-2
- Add BuildRequires: make

* Thu Dec 10 2020 Fabian Affolter <mail@fabian-affolter.ch> 20201006-1
- * Wed Dec 09 2020 Fabian Affolter <mail@fabian-affolter.ch> - 20201006-1
  - Update to latest upstream release 20201006

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> 20200427-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Apr 27 2020 Fabian Affolter <mail@fabian-affolter.ch> 20200427-1
- * Mon Apr 27 2020 Fabian Affolter <mail@fabian-affolter.ch> - 20200427-1
  - Update to new upstream version 20200427 (rhbz#1828251)

* Thu Feb 27 2020 Fabian Affolter <mail@fabian-affolter.ch> 20200211-1
- * Thu Feb 27 2020 Fabian Affolter <mail@fabian-affolter.ch> - 20200211-1
  - Update to new upstream version 20200211 (rhbz#1792969)

* Thu Jan 30 2020 Fabian Affolter <mail@fabian-affolter.ch> 20200127-2
- RPMAUTOSPEC: unresolvable merge
